import { AuthRepository } from '@app/domain/authentification/auth.repository';
import { User } from '@app/domain/users/user.model';

export class GetCurrentUserUseCase {
  constructor(private readonly authRepo: AuthRepository) {}

  execute(): User | undefined {
    return this.authRepo.get();
  }
}
